# Migration Guide 0.5 - 0.6

## Refactor for the new vendor bundling

Version 0.6 adds a new `vendor.js` and `manifest.js` script to the exported client assets. It also changes the format of the asset manifest (`publicAssets.json`). Please refer to this section in the [conventions documentation](/docs/conventions.md#working-with-client-assets) for how the new assets should be referenced (and in what order!).

The following shows how we updated the starter kyts with the new rules:

- [include the new manifest and vendor scripts and update how the client assets are referenced](https://github.com/NYTimes/kyt/pull/487/files#diff-5c9af8ba0b7857800f72a55cdc5409aa)
- [output the scripts in the correct order](https://github.com/NYTimes/kyt/pull/487/files#diff-1a3dd5d68b85906698a452ac9279ecc5)

## PostCSS custom configuration

If you applied a custom PostCSS configuration in your kyt.config.js, then you should move your configuration into a postcss.config.js file at the root of your project. See more [here](/docs/Recipes.md#add-postcss-plugins).

## Naming your chunks

Webpack added a not-so-graceful implementation for naming your `import`ed chunks. You can now [add a comment to your `import` statement](https://github.com/NYTimes/kyt/blob/843341291ad99c925d2c8a1b07f323b9d40e954b/packages/kyt-starter-static/starter-src/src/routes/index.js#L12) to name the output file. This only helps in identifying your chunks during the build process.
